// ===================================================
// Листинг 17. Проверка присутствия NETBIOS
//     с использованием интерфейса INT 2Ah
//
// Файл 2atest.cpp
//
// (C) A. Frolov, 1993
// ===================================================

#include <stdio.h>
#include <stdlib.h>
#include <dos.h>
#include <conio.h>
#include <mem.h>
#include <string.h>

void main(void) {

	union REGS regs;

	printf("Check if NETBIOS is installed\n");

	regs.h.ah = 0;
	int86(0x2a, &regs, &regs);

	if(regs.h.ah  == 0) {
		printf("NETBIOS NOT installed.\n");
	}
	else printf("NETBIOS is installed!\n");

}